import path from 'path';
import HtmlWebpackPlugin from 'html-webpack-plugin';

export default {
  entry: './src',
  output: {
    path: path.join(__dirname, 'dist'),
  },
  module: {
    rules: [
      {
        test: /\.jsx?$/i,
        include: path.join(__dirname, 'src'),
        loader: 'babel-loader',
      },
    ],
  },
  resolve: {
    extensions: [
      '.jsx',
      '.js',
    ],
  },
  plugins: [
    new HtmlWebpackPlugin({
      title: 'Beispiel',
    }),
  ],
};
